# Class Enum.EnumDesc<E extends Enum<E>>

java.lang.Object
java.lang.constant.DynamicConstantDesc<E>
java.lang.Enum.EnumDesc<E>

Type Parameters:
  `E` - the type of the enum constant

All Implemented Interfaces:
  `ConstantDesc`

Enclosing class:
  `Enum<E extends Enum<E>>`

public static final class Enum.EnumDesc<E extends Enum<E>> extends DynamicConstantDesc<E>
A nominal descriptor for an `enum` constant.

Since:
  12

## Method Summary

Modifier and Type
Method
Description
`static <E extends Enum<E>>
Enum.EnumDesc<E>`
`of(ClassDesc enumClass, String constantName)`
Returns a nominal descriptor for the specified `enum` class and name

### Methods declared in class DynamicConstantDesc

`bootstrapArgs, bootstrapArgsList, bootstrapMethod, constantName, constantType, equals, hashCode, of, of, ofCanonical, ofNamed, resolveConstantDesc, toString`

### Methods declared in class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Method Details

### of

public static <E extends Enum<E>> Enum.EnumDesc<E> of(ClassDesc enumClass, String constantName)
Returns a nominal descriptor for the specified `enum` class and name

Type Parameters:
  `E` - the type of the enum constant
Parameters:
  `enumClass` - a `ClassDesc` describing the `enum` class
  `constantName` - the unqualified name of the enum constant
Returns:
  the nominal descriptor
Throws:
  `NullPointerException` - if any argument is null
See Java Virtual Machine Specification:
  4.2.2 Unqualified Names
Since:
  12